org.apache.lucene.document

## Class FieldSelectorResult

- java.lang.Object
- - org.apache.lucene.document.FieldSelectorResult

- All Implemented Interfaces:
    java.io.Serializable

      public final class FieldSelectorResult
      extends java.lang.Object
      implements java.io.Serializable

  Provides information about what should be done with this Field
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldSelectorResult` | `LAZY_LOAD` Lazily load this `Field`.
    `static FieldSelectorResult` | `LOAD` Load this `Field` every time the `Document` is loaded, reading in the data as it is encountered.
    `static FieldSelectorResult` | `LOAD_AND_BREAK` Load this field as in the `LOAD` case, but immediately return from `Field` loading for the `Document`.
    `static FieldSelectorResult` | `LOAD_FOR_MERGE` Deprecated. This is an internal option only, and is no longer needed now that `CompressionTools` is used for field compression.
    `static FieldSelectorResult` | `NO_LOAD` Do not load the `Field`.
    `static FieldSelectorResult` | `SIZE` Expert: Load the size of this `Field` rather than its value.
    `static FieldSelectorResult` | `SIZE_AND_BREAK` Expert: Like `SIZE` but immediately break from the field loading loop, i.e., stop loading further fields, after the size is loaded

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOAD

          public static final transient FieldSelectorResult LOAD

      Load this `Field` every time the `Document` is loaded, reading in the data as it is encountered. `Document.getField(String)` and `Document.getFieldable(String)` should not return null.

      `Document.add(Fieldable)` should be called by the Reader.

    - #### LAZY_LOAD

          public static final transient FieldSelectorResult LAZY_LOAD

      Lazily load this `Field`. This means the `Field` is valid, but it may not actually contain its data until invoked. `Document.getField(String)` SHOULD NOT BE USED. `Document.getFieldable(String)` is safe to use and should return a valid instance of a `Fieldable`.

      `Document.add(Fieldable)` should be called by the Reader.

    - #### NO_LOAD

          public static final transient FieldSelectorResult NO_LOAD

      Do not load the `Field`. `Document.getField(String)` and `Document.getFieldable(String)` should return null. `Document.add(Fieldable)` is not called.

      `Document.add(Fieldable)` should not be called by the Reader.

    - #### LOAD_AND_BREAK

          public static final transient FieldSelectorResult LOAD_AND_BREAK

      Load this field as in the `LOAD` case, but immediately return from `Field` loading for the `Document`. Thus, the Document may not have its complete set of Fields. `Document.getField(String)` and `Document.getFieldable(String)` should both be valid for this `Field`

      `Document.add(Fieldable)` should be called by the Reader.

    - #### LOAD_FOR_MERGE

          public static final transient FieldSelectorResult LOAD_FOR_MERGE

      Deprecated. This is an internal option only, and is no longer needed now that `CompressionTools` is used for field compression.
      Behaves much like `LOAD` but does not uncompress any compressed data. This is used for internal purposes. `Document.getField(String)` and `Document.getFieldable(String)` should not return null.

      `Document.add(Fieldable)` should be called by the Reader.

    - #### SIZE

          public static final transient FieldSelectorResult SIZE

      Expert: Load the size of this `Field` rather than its value. Size is measured as number of bytes required to store the field == bytes for a binary or any compressed value, and 2*chars for a String value. The size is stored as a binary value, represented as an int in a byte[], with the higher order byte first in [0]

    - #### SIZE_AND_BREAK

          public static final transient FieldSelectorResult SIZE_AND_BREAK

      Expert: Like `SIZE` but immediately break from the field loading loop, i.e., stop loading further fields, after the size is loaded

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.